MBeanException (Java Platform SE 8 )
Keywords: javax.management.MBeanException class
Date: 2026-04-24

compact3
javax.management

## Class MBeanException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException
      - - javax.management.MBeanException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MBeanRegistrationException

      public class MBeanException
      extends JMException

  Represents "user defined" exceptions thrown by MBean methods in the agent. It "wraps" the actual "user defined" exception thrown. This exception will be built by the MBeanServer when a call to an MBean method results in an unknown exception.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MBeanException(Exception e)` Creates an `MBeanException` that wraps the actual `java.lang.Exception`.
    `MBeanException(Exception e, String message)` Creates an `MBeanException` that wraps the actual `java.lang.Exception` with a detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()` Return the actual `Exception` thrown.
    `Exception` | `getTargetException()` Return the actual `Exception` thrown.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MBeanException

          public MBeanException(Exception e)

      Creates an `MBeanException` that wraps the actual `java.lang.Exception`.
      Parameters:
        `e` - the wrapped exception.

    - #### MBeanException

          public MBeanException(Exception e,
                                String message)

      Creates an `MBeanException` that wraps the actual `java.lang.Exception` with a detail message.
      Parameters:
        `e` - the wrapped exception.
        `message` - the detail message.

  - ### Method Detail

    - #### getTargetException

          public Exception getTargetException()

      Return the actual `Exception` thrown.
      Returns:
        the wrapped exception.

    - #### getCause

          public Throwable getCause()

      Return the actual `Exception` thrown.
      Overrides:
        `getCause` in class `Throwable`
      Returns:
        the wrapped exception.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.